# 1.0.0 (2022-02-21)


### Bug Fixes

* **errors:** set env_name in error message correctly ([06b0b4d](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/06b0b4d8dee8f553efed4b0f406411047cffae86))
* **textgrid_dav_provider:** use tgclients for `TextgridAuth` ([81c6048](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/81c60487613f5f3e836e2c3383f6237a709e5dba))
* **tgapi:** take textgridUri from metadata, not from result element ([88079e8](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/88079e8c433b010679accaea204bcfd636603adc)), closes [#6](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/issues/6)


### Features

* **config:** add AppConfig with property "dsn" for sentry initialization ([4cebb95](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/4cebb95a48384c2592745090fd03ef20735ebe4f))
* **config:** add properties for host and nav_address ([564bad8](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/564bad89a40ab723586e7350bff5394b785d0788))
* **dav_provider:** provide access to Textgrid projects, aggregations and resources ([bd80a81](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/bd80a81bea5091899b7d7704d19913d843a39f75))
* implement basic textgrid DomainController and DAVProvider ([86859a0](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/86859a0794c0ab3846e7102d5676b94dd3d6706a))
* **main.py:** initialize and launch the wsgi server process ([4fca508](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/4fca5087eb1be9c50eff8b1948dc0565563268ca))
* **main:** init sentry very early if dsn is set ([2c3e76e](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/2c3e76edd04a0a98b5681f730aea044af989cd89))
* provide modules for config, errors and textgrid api ([be42d0f](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/be42d0f89b644b03e70fad4c9a5c945c3bdd5736))
* **stream_tools:** add a modified version of wsgidav's FileLikeQueue ([1b551e9](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/1b551e9bad9b6793c09c3ba722d3a704e6b62d9e))
* **textgrid_dav_provider:** implement `begin_write` for `TextgridResource`s ([5ad6f4d](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/5ad6f4d2e8bf11b03b9f9f6b7280487dd25aaf8b))
* **textgrid_dav_provider:** provide streamed write to resources with FileLikeQueue and threaded worker ([49f8b4f](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/49f8b4f66092f898f376235a2b9a03a88e3e1d1b))
* **tgapi:** provide access to the Textgrid Search and CRUD services ([61ce9f7](https://gitlab.gwdg.de/dariah-de/textgridrep/repdav/commit/61ce9f7a3c5627aa79416108aa5068ef2fd30cd7))
